//// Generated by Selenium IDE
//package test.functional;
//
//import java.net.URI;
//import java.util.HashMap;
//import java.util.Map;
//
//import org.junit.Test;
//import org.junit.runner.RunWith;
//import org.openqa.selenium.By;
//import org.openqa.selenium.Dimension;
//import org.openqa.selenium.JavascriptExecutor;
//import org.openqa.selenium.WebDriver;
//import org.openqa.selenium.WebElement;
//import org.openqa.selenium.chrome.ChromeDriver;
//import org.openqa.selenium.interactions.Actions;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.test.context.ContextConfiguration;
//import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
//
//@RunWith(SpringJUnit4ClassRunner.class)
//@ContextConfiguration(locations = { "/applicationContext-test.xml" })
//public class TestCreateSelenium {
//
//	@Autowired
//	private WebDriver drv;
//
//	@Autowired
//	private URI siteBase;
//
//	private Map<String, Object> vars;
//
//	JavascriptExecutor js;
//
//	public void testCreateSelenium() {
//
//		drv = new ChromeDriver();
//		js = (JavascriptExecutor) drv;
//		vars = new HashMap<String, Object>();
//
//		drv.get(siteBase.toString());
//		drv.manage().window().setSize(new Dimension(1440, 797));
//		drv.findElement(By.cssSelector("#j_idt56 > .ui-button-text")).click();
//		drv.findElement(By.id("form_recette:libelle")).click();
//		drv.findElement(By.id("form_recette:libelle")).sendKeys("testCreate");
//		drv.findElement(By.cssSelector(".ui-state-hover > .ui-button-text")).click();
//		drv.findElement(By.cssSelector(".ui-state-hover > .ui-button-text")).click();
//		{
//			WebElement element = drv.findElement(By.cssSelector(".ui-state-hover > .ui-button-text"));
//			Actions builder = new Actions(drv);
//			builder.doubleClick(element).perform();
//		}
//		drv.findElement(By.cssSelector(".ui-state-hover > .ui-button-text")).click();
//		drv.findElement(By.cssSelector("#form_recette\\3A boutton_save > .ui-button-text")).click();
//		drv.findElement(By.cssSelector(".ui-menuitem-link")).click();
//
//		drv.quit();
//	}
//}
